Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.servlet
Class ErrorPageErrorHandler

    java.lang.Object
      org.mortbay.component.AbstractLifeCycle
          org.mortbay.jetty.handler.AbstractHandler
              org.mortbay.jetty.handler.ErrorHandler
                  org.mortbay.jetty.servlet.ErrorPageErrorHandler

All Implemented Interfaces:
  LifeCycle, Handler

    public class ErrorPageErrorHandler

extends ErrorHandler

Error Page Error Handler An ErrorHandler that maps exceptions and status codes to URIs for dispatch using the internal ERROR style of dispatch.

Author:
  gregw

Nested Class Summary

Nested classes/interfaces inherited from interface org.mortbay.component.LifeCycle
`LifeCycle.Listener`

Field Summary
`protected List` | `_errorPageList`
`protected Map` | `_errorPages`
`protected ServletContext` | `_servletContext`

Fields inherited from class org.mortbay.jetty.handler.AbstractHandler
`_string`

Fields inherited from class org.mortbay.component.AbstractLifeCycle
`_listeners`

Fields inherited from interface org.mortbay.jetty.Handler
`ALL, DEFAULT, ERROR, FORWARD, INCLUDE, REQUEST`

Constructor Summary
`ErrorPageErrorHandler()`

Method Summary
`void` | `addErrorPage(Class exception, String uri)` Add Error Page mapping for an exception class This method is called as a result of an exception-type element in a web.xml file or may be called directly
`void` | `addErrorPage(int from, int to, String uri)` Add Error Page mapping for a status code range.
`void` | `addErrorPage(int code, String uri)` Add Error Page mapping for a status code.
`protected void` | `doStart()`
`protected void` | `doStop()`
`Map` | `getErrorPages()`
`void` | `handle(String target, HttpServletRequest request, HttpServletResponse response, int dispatch)` Handle a request.
`void` | `setErrorPages(Map errorPages)`

Methods inherited from class org.mortbay.jetty.handler.ErrorHandler
`handleErrorPage, isShowStacks, setShowStacks, writeErrorPage, writeErrorPageBody, writeErrorPageHead, writeErrorPageMessage, writeErrorPageStacks`

Methods inherited from class org.mortbay.jetty.handler.AbstractHandler
`destroy, getServer, setServer, toString`

Methods inherited from class org.mortbay.component.AbstractLifeCycle
`addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mortbay.component.LifeCycle
`addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Field Detail

### _servletContext

    protected ServletContext _servletContext

### _errorPages

    protected Map _errorPages

### _errorPageList

    protected List _errorPageList

Constructor Detail

### ErrorPageErrorHandler

    public ErrorPageErrorHandler()

Parameters:
  `context` -

Method Detail

### handle

    public void handle(String target,
                       HttpServletRequest request,
                       HttpServletResponse response,
                       int dispatch)
                throws IOException

  Description copied from interface: `Handler`
  Handle a request.

  Specified by:
    `handle` in interface `Handler`
  Overrides:
    `handle` in class `ErrorHandler`
  Parameters:
    `target` - The target of the request - either a URI or a name.
    `request` - The request either as the `Request` object or a wrapper of that request. The `HttpConnection.getCurrentConnection()` method can be used access the Request object if required.
    `response` - The response as the `Response` object or a wrapper of that request. The `HttpConnection.getCurrentConnection()` method can be used access the Response object if required.
    `dispatch` - The dispatch mode: `Handler.REQUEST`, `Handler.FORWARD`, `Handler.INCLUDE`, `Handler.ERROR`
  Throws:
    `IOException`

### getErrorPages

    public Map getErrorPages()

  Returns:
    Returns the errorPages.

### setErrorPages

    public void setErrorPages(Map errorPages)

  Parameters:
    `errorPages` - The errorPages to set. A map of Exception class name or error code as a string to URI string

### addErrorPage

    public void addErrorPage(Class exception,
                             String uri)

  Add Error Page mapping for an exception class This method is called as a result of an exception-type element in a web.xml file or may be called directly

  Parameters:
    `code` - The class (or superclass) of the matching exceptions
    `uri` - The URI of the error page.

### addErrorPage

    public void addErrorPage(int code,
                             String uri)

  Add Error Page mapping for a status code. This method is called as a result of an error-code element in a web.xml file or may be called directly

  Parameters:
    `code` - The HTTP status code to match
    `uri` - The URI of the error page.

### addErrorPage

    public void addErrorPage(int from,
                             int to,
                             String uri)

  Add Error Page mapping for a status code range. This method is not available from web.xml and must be called directly.

  Parameters:
    `from` - The lowest matching status code
    `to` - The highest matching status code
    `uri` - The URI of the error page.

### doStart

    protected void doStart()
                    throws Exception

  Overrides:
    `doStart` in class `AbstractHandler`
  Throws:
    `Exception`

### doStop

    protected void doStop()
                   throws Exception

  Overrides:
    `doStop` in class `AbstractHandler`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.